Update campaign
curl --request PUT \
--url https://api.heyy.io/v3/campaigns/{campaignId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"automationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"variables": {},
"scheduledAt": "2023-11-07T05:31:56Z",
"recurrence": {
"rules": [
"<string>"
]
}
}
'import requests
url = "https://api.heyy.io/v3/campaigns/{campaignId}"
payload = {
"name": "<string>",
"automationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"variables": {},
"scheduledAt": "2023-11-07T05:31:56Z",
"recurrence": { "rules": ["<string>"] }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
automationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
variables: {},
scheduledAt: '2023-11-07T05:31:56Z',
recurrence: {rules: ['<string>']}
})
};
fetch('https://api.heyy.io/v3/campaigns/{campaignId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"name": "<string>",
"automationId": "<string>",
"recurrence": {
"rules": [
"<string>"
]
},
"scheduledAt": "<string>",
"variables": {},
"latestExecutionId": "<string>",
"latestExecution": {
"campaignId": "<string>",
"status": "scheduled",
"variables": {},
"totalCount": 123,
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"groupId": "<string>",
"audienceType": "static",
"audienceQuery": "<string>",
"totalRecipients": 123,
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"messageKey": "invalid_body_params",
"message": "Invalid body params",
"invalidParams": {
"email": {
"key": "invalid_string",
"message": "Invalid email"
}
}
}
}{
"success": false,
"error": {
"messageKey": "unauthorized",
"message": "Unauthorized"
}
}{
"success": false,
"error": {
"messageKey": "insufficient_billing_plan",
"message": "Insufficient billing plan"
}
}{
"success": false,
"error": {
"messageKey": "forbidden",
"message": "Forbidden"
}
}{
"success": false,
"error": {
"messageKey": "contact_not_found",
"message": "Contact not found"
}
}{
"success": false,
"error": {
"messageKey": "too_many_requests",
"message": "Too many requests. Limit is applied per minute per tenant. Please retry after the time indicated by the X-RateLimit-Reset header."
}
}{
"success": false,
"error": {
"messageKey": "internal_error",
"message": "Oops! Something went wrong"
}
}Campaign
Update campaign
Update campaign.
PUT
/
campaigns
/
{campaignId}
Update campaign
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Campaign id.
Body
application/json
Campaign name.
Automation that sends this campaign.
Variable values passed into the campaign automation.
Show child attributes
Show child attributes
When the campaign is scheduled to run (ISO 8601), or null.
Recurrence settings for scheduled campaigns.
Show child attributes
Show child attributes
Was this page helpful?